# Uses of Class
org.jmol.util.SimpleUnitCell

Packages that use SimpleUnitCell
Package
Description
org.jmol.symmetry
org.jmol.util

## Uses of SimpleUnitCell in org.jmol.symmetry

Subclasses of SimpleUnitCell in org.jmol.symmetry
Modifier and Type
Class
Description
`class`
`UnitCell`
a class pseudoprivate to the org.jmol.symmetry and org.jmol.applet.smarter.FileSymmetry to be accessed generally only through the SymmetryInterface API adds vertices and offsets orientation, and a variety of additional calculations that in principle could be put in SimpleUnitCell if desired, but for now are in this optional package.
Methods in org.jmol.symmetry with parameters of type SimpleUnitCell
Modifier and Type
Method
Description
`static T3[]`
UnitCell.`getMatrixAndUnitCell(Viewer vwr, SimpleUnitCell uc, Object def, M4 retMatrix)`

## Uses of SimpleUnitCell in org.jmol.util

Methods in org.jmol.util that return SimpleUnitCell
Modifier and Type
Method
Description
`static SimpleUnitCell`
SimpleUnitCell.`newA(float[] params)`